public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/freealut/
Date: Wed, 22 Jul 2020 21:19:14 +0000 (UTC)	[thread overview]
Message-ID: <1595452733.6ef6aae12087451860ee999370539b889c876696.asturm@gentoo> (raw)

commit:     6ef6aae12087451860ee999370539b889c876696
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 22 18:24:51 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jul 22 21:18:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ef6aae1

media-libs/freealut: EAPI-7 bump, drop unused eclasses, static-libs--

Use https.
Add missing || die.

Package-Manager: Portage-3.0.0, Repoman-2.3.23
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/freealut/freealut-1.1.0-r4.ebuild | 39 ++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/media-libs/freealut/freealut-1.1.0-r4.ebuild b/media-libs/freealut/freealut-1.1.0-r4.ebuild
new file mode 100644
index 00000000000..fff1f528d5e
--- /dev/null
+++ b/media-libs/freealut/freealut-1.1.0-r4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="The OpenAL Utility Toolkit"
+HOMEPAGE="https://www.openal.org/"
+SRC_URI="http://connect.creativelabs.com/openal/Downloads/ALUT/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	>=media-libs/openal-1.15.1[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+
+	# Link against openal and pthread
+	sed -e 's/libalut_la_LIBADD = .*/& -lopenal -lpthread/' \
+		-i src/Makefile.am || die
+	AT_M4DIR="admin/autotools/m4" eautoreconf
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf --disable-static
+}
+
+multilib_src_install_all() {
+	local HTML_DOCS=( doc/. )
+	einstalldocs
+	find "${D}" -name '*.la' -type f -delete || die
+}


             reply	other threads:[~2020-07-22 21:19 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-22 21:19 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-28 19:27 [gentoo-commits] repo/gentoo:master commit in: media-libs/freealut/ Sam James
2020-09-08  7:42 Miroslav Šulc
2020-08-30 17:14 Thomas Deutschmann
2020-08-22  5:43 Agostino Sarubbo
2020-07-22 21:19 Andreas Sturmlechner
2019-04-23 21:00 Andreas Sturmlechner
2018-05-20 19:10 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1595452733.6ef6aae12087451860ee999370539b889c876696.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox